using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace BeltScaleSystem
{
    public class MeasData
    {
        private double flow = 0;
        /// <summary>
        /// 流量
        /// </summary>
        public double Flow
        {
          get { return Math.Round(flow,3); }
          set { flow = value; }
        }
        private double total = 0;
        /// <summary>
        /// 累积量
        /// </summary>
        public double Total
        {
            get { return Math.Round(total,3); }
            set { total = value; }
        }
        private double beltSpeed = 0;
        /// <summary>
        /// 皮带速度
        /// </summary>
        public double BeltSpeed
        {
            get { return beltSpeed; }
            set { beltSpeed = value; }
        }
        private double calibrateValue = 0;
        /// <summary>
        /// 零点值
        /// </summary>
        public double CalibrateValue
        {
            get { return calibrateValue; }
            set { calibrateValue = value; }
        }

        private StrapMeasType measType = StrapMeasType.SA600;
        /// <summary>
        /// 仪表类型
        /// </summary>
        public StrapMeasType MeasType
        {
            get { return measType; }
            set { measType = value; }
        }
        private int meterIndex = 0;
        /// <summary>
        /// 同串口多仪表设备ID 从1开始
        /// </summary>
        public int MeterIndex
        {
            get { return meterIndex; }
            set { meterIndex = value; }
        }

        private bool meterStatus = true;
        /// <summary>
        /// 仪表计量状态
        /// </summary>
        public bool MeterStatus
        {
            get { return meterStatus; }
            set { meterStatus = value; }
        }

        private bool isConnect = true;
        /// <summary>
        /// 是否连接
        /// </summary>
        public bool IsConnect
        {
            get { return isConnect; }
            set { isConnect = value; }
        }

        private double fieldTemp = 0;
        /// <summary>
        /// 温度201512LIAO
        /// </summary>
        public double FieldTemp
        {
            get { return Math.Round(fieldTemp,2); }
            set { fieldTemp = value; }
        }
        private float stdValue = 0;
        /// <summary>
        /// 标定系数20210301LIAO
        /// </summary>
        public float  StdValue
        {
            get { return stdValue; }
            set { stdValue = value; }
        }
    }
}
